Page MenuHomePhabricator

Run cleanupTranscodes.php for current midi files
Closed, ResolvedPublic

Description

We have pre-exisisting midi files, that have now become 'transcodeable'. In order for the audio player to work however, it does need the derivatives, otherwise it has no source to play, as these are not generated on the fly.

Therefore cleanupTranscodes.php need to be run, so that these files can be put on the transcoding queue. The description file pages might have be be purge first, before the derivatives can be queued ?

Low priority, as files were not playable before and thus not widely used in articles and new files are automatically put on the queue. Manual queueing is possible by purging file description page and then manually triggering the transcode at the bottom of the page.

Event Timeline

TheDJ triaged this task as Low priority.Jun 27 2019, 1:20 PM
TheDJ created this task.
Reedy added a subscriber: Reedy.

I presume you mean requeueTranscodes.php?

Reedy added a comment.Jun 27 2019, 2:23 PM

In which case, we probably want to run mwscript extensions/TimedMediaHandler/maintenance/requeueTranscodes.php --wiki=commonswiki --audio --missing --throttle...

Mentioned in SAL (#wikimedia-operations) [2019-06-27T14:23:58Z] <Reedy> running mwscript extensions/TimedMediaHandler/maintenance/requeueTranscodes.php --wiki=commonswiki --audio --missing --throttle in screen as me on mwmaint1002 T226713

brion added a comment.Jun 27 2019, 9:45 PM

Ah great, that'll do the job.

Reedy added a comment.Jun 28 2019, 9:39 AM

Resolved?

For Commons yes

Well, no. The script hasn't actually finished running for commons yet

Reedy added a comment.Jun 28 2019, 9:46 AM

T226718: Add option to filter by file extension/img_minor_mime in requeueTranscodes.php is done and merged... It might be worth running it elsewhere till .12 is out, and/or we can backport it to .11 next week

So the command is now

mwscript extensions/TimedMediaHandler/maintenance/requeueTranscodes.php --wiki=commonswiki --audio --mime=audio/midi --missing --throttle

So we can run that in foreachwiki

foreachwiki extensions/TimedMediaHandler/maintenance/requeueTranscodes.php --audio --mime=audio/midi --missing --throttle

Mentioned in SAL (#wikimedia-operations) [2019-06-28T10:31:36Z] <Reedy> running foreachwiki extensions/TimedMediaHandler/maintenance/requeueTranscodes.php --audio --mime=audio/midi --missing --throttle on mwmaint1002 in screen T226713

Reedy closed this task as Resolved.Jun 28 2019, 11:03 AM
Reedy claimed this task.

Done